Check appeasement eligibility by order ID - Fabric

Check appeasement eligibility by order ID

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/orders/{orderId}/actions/check-appeasement-eligibility \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'

Python

import requests

url = "https://api.fabric.inc/v3/orders/{orderId}/actions/check-appeasement-eligibility"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>'
  }
};

fetch('https://api.fabric.inc/v3/orders/{orderId}/actions/check-appeasement-eligibility', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Possible Response Codes

Response Structure

Successful Response (200)

{
  "eligibleItems": [
    {
      "lineItemId": "6f25bf01-ae4e-4e7f-96b9-0579a40a1a7d",
      "quantity": 2,
      "refundAmount": 20.5,
      "sku": "P1234",
      "refundAmountInCurrencies": [
        {
          "currency": "USD",
          "group": "SHOPPER",
          "amount": 123.45
        }
      ]
    }
  ],
  "eligibleReasonCodes": [
    {
      "code": "1DMG",
      "description": "Damaged"
    }
  ],
  "orderId": "62f3982438bcab1951be0a19",
  "orderNumber": "309019176",
  "period": "30D00H00M",
  "policyType": "Company Policy 2023",
  "remainingRefundableAmount": 30.5,
  "remainingRefundableAmountInCurrencies": [
    {
      "currency": "USD",
      "group": "SHOPPER",
      "amount": 123.45
    }
  ],
  "totalRefundableAmount": 130.7,
  "totalRefundableAmountInCurrencies": [
    {
      "currency": "USD",
      "group": "SHOPPER",
      "amount": 123.45
    }
  ]
}

Error Responses

{
  "errors": [
    {
      "message": "Invalid request",
      "type": "CLIENT_ERROR"
    }
  ],
  "message": "Bad request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Unauthorized request",
  "type": "CLIENT_ERROR"
}
{
  "message": "Order not found",
  "type": "CLIENT_ERROR"
}
{
  "message": "Internal server error",
  "type": "SERVER_ERROR"
}

Authorization

Authorization: Required header as Bearer <token>, where <token> is your authentication token.

Headers